Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

wknd tutorial fails to build because of Project Analyser: Parsing error in repoinit

TB3dock
Level 7
Level 7

How to reproduce:

1. follow the oficial tutorial here: https://experienceleague.adobe.com/docs/experience-manager-learn/getting-started-wknd-tutorial-devel...

 

2. use the archtype to create the project:

 

 mvn -B archetype:generate \                 

    -D archetypeGroupId=com.adobe.aem \

    -D archetypeArtifactId=aem-project-archetype \

    -D archetypeVersion=25 \

    -D appTitle="WKND Sites Project" \

    -D appId="wknd" \

    -D groupId="com.adobe.aem.guides.wknd" \

    -D artifactId="aem-guides-wknd" \

    -D version="0.0.1-SNAPSHOT" \

    -D aemVersion="cloud"

 

3. Edit the pom.xml to fix the node error for M1 Macs

 

<artifactId>frontend-maven-plugin</artifactId>
<version>1.11.0</version>

 

4. try to build:

   cd aem-guides-wknd

   mvn clean install -PautoInstallSinglePackage

 

5. observe errors.  Note, I can build and deploy the wknd project from the zip file of the source, I just cant built a project from mnv archtype.

 

[INFO] - Executing Repoinit Check [repoinit]...

[INFO] - Executing Requirements Capabilities check [requirements-capabilities]...

[INFO] Analyzing feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-author.prod:0.0.1-SNAPSHOT' finished : 0 warnings, 1 errors.

[ERROR] repoinit: Parsing error in repoinit from extension : Encountered "" at line 15, column 37.

Was expecting one of:

    

[ERROR] Analyser detected errors on feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-author.prod:0.0.1-SNAPSHOT'. See log output for error messages.

[INFO] Starting analyzing feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-publish.prod:0.0.1-SNAPSHOT'...

[INFO] - Executing Api Regions analyser task that checks that listed packages are actually exported [api-regions]...

[INFO] - Executing Api Regions check order analyser task [api-regions-check-order]...

[INFO] - Executing Bundle Import/Export Check [api-regions-exportsimports]...

[INFO] - Executing Api Regions cross-feature duplicate export task [api-regions-crossfeature-dups]...

[INFO] - Executing Configuration API analyser task [configuration-api]...

[INFO] - Executing Bundle Natice Code Check [bundle-nativecode]...

[INFO] - Executing Bundle Initial Content Check [bundle-content]...

[INFO] - Executing Bundle Resources Check [bundle-resources]...

[INFO] - Executing Repoinit Check [repoinit]...

[INFO] - Executing Requirements Capabilities check [requirements-capabilities]...

[INFO] Analyzing feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-publish.prod:0.0.1-SNAPSHOT' finished : 0 warnings, 1 errors.

[ERROR] repoinit: Parsing error in repoinit from extension : Encountered "" at line 15, column 37.

Was expecting one of:

    

[ERROR] Analyser detected errors on feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-publish.prod:0.0.1-SNAPSHOT'. See log output for error messages.

[INFO] Starting analyzing feature 'com.adobe.aem.guides.wknd:aem-guides-wknd.analyse:slingosgifeature:aggregated-publish.stage:0.0.1-SNAPSHOT'...

[INFO] - Executing Api Regions analyser task that checks that listed packages are actually exported [api-regions]...

[INFO] aem-guides-wknd .................................... SUCCESS [  0.106 s]

[INFO] WKND Sites Project - Core .......................... SUCCESS [  3.056 s]

[INFO] WKND Sites Project - UI Frontend ................... SUCCESS [ 46.939 s]

[INFO] WKND Sites Project - Repository Structure Package .. SUCCESS [  0.476 s]

[INFO] WKND Sites Project - UI apps ....................... SUCCESS [  2.196 s]

[INFO] WKND Sites Project - UI content .................... SUCCESS [  1.313 s]

[INFO] WKND Sites Project - UI config ..................... SUCCESS [  0.048 s]

[INFO] WKND Sites Project - All ........................... SUCCESS [  0.145 s]

[INFO] WKND Sites Project - Integration Tests ............. SUCCESS [  4.055 s]

[INFO] WKND Sites Project - Dispatcher .................... SUCCESS [  0.029 s]

[INFO] WKND Sites Project - UI Tests ...................... SUCCESS [  0.114 s]

[INFO] WKND Sites Project - Project Analyser .............. FAILURE [ 20.309 s]

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time:  01:19 min

[INFO] Finished at: 2021-03-14T17:41:07+01:00

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal com.adobe.aem:aemanalyser-maven-plugin:0.0.18:analyse (default-analyse) on project aem-guides-wknd.analyse: One or more feature analyser(s) detected feature error(s), please read the plugin log for more details -> [Help 1]

[ERROR] 

1 Accepted Solution
bosschaert
Correct answer by
Level 1
Level 1

Hi,

 

Please select the latest aem analyser version as follows in the top-level pom.xml:

<aemanalyser.version>0.9.2</aemanalyser.version>

 

View solution in original post

5 Replies
bosschaert
Correct answer by
Level 1
Level 1

Hi,

 

Please select the latest aem analyser version as follows in the top-level pom.xml:

<aemanalyser.version>0.9.2</aemanalyser.version>

 

View solution in original post

kautuk_sahni
Community Manager
Community Manager
@bosschaert, thank you for sharing the answer with AEM community. AEM community great SMEs like you. Keep the wonderful work going.
DuttAbhishek
Level 2
Level 2

DuttAbhishek_0-1631004185606.png

I am also following the same link but I got this error 

Can you tell what could be the reason 

AEM version - 6.5 

Archtype = 26 

NiekRaaijmakers
Employee
Employee

You sure you did not select the cloud option? This error should be a warning instead and occur when

 

a) building for the cloud

b) log osgi configs are present that define log level below info / or pattern

 

We removed b in the upcoming version. It will be forbidden to override existing OOTB loggers though.

In any case , the error should be a warning.

 

Are you on the latest aemanalyser version? We fixed some bugs and are now on 1.1.8.

 

juand89
Level 1
Level 1

for anyone still having this issue, please use the latest version of aemanalyser: 1.1.4